Bug 1295646 - WARNING: CPU: 3 PID: 914 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
Summary: WARNING: CPU: 3 PID: 914 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0x...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://git.kernel.org/cgit/linux/ker...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-05 05:45 UTC by poma
Modified: 2016-04-08 20:19 UTC (History)
8 users (show)

Fixed In Version: 4.6-rc2 kernel-4.4.6-301.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-08 15:54:18 UTC


Attachments (Terms of Use)
Reverts "drm/gem: Check locking in drm_gem_object_unreference" (1.74 KB, patch)
2016-01-05 07:35 UTC, poma
no flags Details | Diff

Description poma 2016-01-05 05:45:42 UTC
------------[ cut here ]------------
WARNING: CPU: 3 PID: 914 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
Modules linked in: ... udl ... drm_kms_helper ... drm ...
CPU: 3 PID: 914 Comm: Xorg Not tainted 4.4.0-0.rc8.git0.1.fc22.x86_64 #1
...
Call Trace:
 [<ffffffff813b04af>] dump_stack+0x44/0x55
 [<ffffffff810a2ef2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a303a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa04b7a3d>] udl_dumb_create+0xdd/0xf0 [udl]
 [<ffffffffa01cc308>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
 [<ffffffffa01bc602>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffa01cc260>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
 [<ffffffff8133b9ec>] ? selinux_file_ioctl+0x10c/0x1c0
 [<ffffffff8123e6d8>] do_vfs_ioctl+0x298/0x480
 [<ffffffff81146c3b>] ? __audit_syscall_entry+0xab/0xf0
 [<ffffffff81333263>] ? security_file_ioctl+0x43/0x60
 [<ffffffff8123e939>] SyS_ioctl+0x79/0x90
 [<ffffffff8179966e>] entry_SYSCALL_64_fastpath+0x12/0x71
---[ end trace 91caa079995853e8 ]---
...
------------[ cut here ]------------
WARNING: CPU: 0 PID: 914 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
Modules linked in: ... udl ... drm_kms_helper ... drm ...
CPU: 0 PID: 914 Comm: Xorg Tainted: G        W       4.4.0-0.rc8.git0.1.fc22.x86_64 #1
...
Call Trace:
 [<ffffffff813b04af>] dump_stack+0x44/0x55
 [<ffffffff810a2ef2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a303a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa04b7a3d>] udl_dumb_create+0xdd/0xf0 [udl]
 [<ffffffffa01cc308>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
 [<ffffffffa01bc602>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffa01cc260>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
 [<ffffffff8133b9ec>] ? selinux_file_ioctl+0x10c/0x1c0
 [<ffffffff8123e6d8>] do_vfs_ioctl+0x298/0x480
 [<ffffffff81146c3b>] ? __audit_syscall_entry+0xab/0xf0
 [<ffffffff81333263>] ? security_file_ioctl+0x43/0x60
 [<ffffffff8123e939>] SyS_ioctl+0x79/0x90
 [<ffffffff8179966e>] entry_SYSCALL_64_fastpath+0x12/0x71
---[ end trace 91caa079995853e9 ]---
------------[ cut here ]------------
WARNING: CPU: 0 PID: 914 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
Modules linked in: ... udl ... drm_kms_helper ... drm ...
CPU: 0 PID: 914 Comm: Xorg Tainted: G        W       4.4.0-0.rc8.git0.1.fc22.x86_64 #1
...
Call Trace:
 [<ffffffff813b04af>] dump_stack+0x44/0x55
 [<ffffffff810a2ef2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a303a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa04b7a3d>] udl_dumb_create+0xdd/0xf0 [udl]
 [<ffffffffa01cc308>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
 [<ffffffffa01bc602>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffa01cc260>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
 [<ffffffff8133b9ec>] ? selinux_file_ioctl+0x10c/0x1c0
 [<ffffffff8123e6d8>] do_vfs_ioctl+0x298/0x480
 [<ffffffff81146c3b>] ? __audit_syscall_entry+0xab/0xf0
 [<ffffffff81333263>] ? security_file_ioctl+0x43/0x60
 [<ffffffff8123e939>] SyS_ioctl+0x79/0x90
 [<ffffffff8179966e>] entry_SYSCALL_64_fastpath+0x12/0x71
---[ end trace 91caa079995853ea ]---

Comment 1 poma 2016-01-05 07:35:24 UTC
Created attachment 1111756 [details]
Reverts "drm/gem: Check locking in drm_gem_object_unreference"

Resolves aforementioned warnings,
"WARNING: CPU: 3 PID: 914 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()"

Comment 2 poma 2016-01-05 18:30:10 UTC
As Daniel Vetter explained, there is a buch of patches queued.

The ninth resolves this particular warning.
09-29-drm-udl-Use-unlocked-gem-unreferencing.patch
https://patchwork.freedesktop.org/patch/65722

Comment 3 poma 2016-01-07 11:29:58 UTC
Will this patch accompany next Rawhide kernel, 4.4.0-0.rc8.git2.1.fc24?

Comment 4 Laura Abbott 2016-01-07 21:53:44 UTC
I missed the patch before I made the build so I won't show up in git2. If there are pulls tomorrow it will be in git3 otherwise it will show up in the 4.4 final release.

Comment 5 poma 2016-01-10 07:02:26 UTC
Tested with:
kernel-core-4.4.0-0.rc8.git3.1.fc24.x86_64

Thanks

Comment 8 poma 2016-03-03 17:34:35 UTC
[   67.744814] ------------[ cut here ]------------
[   67.745518] WARNING: CPU: 1 PID: 892 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   67.746818] Modules linked in: ... udl drm_kms_helper drm ...
[   67.752915] CPU: 1 PID: 892 Comm: Xorg Not tainted 4.4.3-300.fc23.x86_64+debug #1
...
[   67.753020] Call Trace:
[   67.753020]  [<ffffffff8142ac93>] dump_stack+0x85/0xc2
[   67.753020]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   67.753020]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   67.753020]  [<ffffffffa0502bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   67.761492]  [<ffffffffa0249158>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   67.761492]  [<ffffffffa0238b22>] drm_ioctl+0x152/0x560 [drm]
[   67.761492]  [<ffffffff810e9647>] ? sched_clock_local+0x17/0x80
[   67.761492]  [<ffffffffa02490b0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   67.761492]  [<ffffffff8128c6b1>] do_vfs_ioctl+0x2f1/0x550
[   67.761492]  [<ffffffff8128c989>] SyS_ioctl+0x79/0x90
[   67.761492]  [<ffffffff81884772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   67.767469] ---[ end trace 90f3d6534c52de3a ]---
[   71.845984] ------------[ cut here ]------------
[   71.846157] WARNING: CPU: 0 PID: 892 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   71.846168] Modules linked in: ... udl drm_kms_helper drm ...
[   71.846396] CPU: 0 PID: 892 Comm: Xorg Tainted: G        W       4.4.3-300.fc23.x86_64+debug #1
...
[   71.846468] Call Trace:
[   71.846486]  [<ffffffff8142ac93>] dump_stack+0x85/0xc2
[   71.846504]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   71.846517]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   71.846535]  [<ffffffffa0502bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   71.846601]  [<ffffffffa0249158>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   71.846654]  [<ffffffffa0238b22>] drm_ioctl+0x152/0x560 [drm]
[   71.846669]  [<ffffffff810e9647>] ? sched_clock_local+0x17/0x80
[   71.846725]  [<ffffffffa02490b0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   71.846745]  [<ffffffff8128c6b1>] do_vfs_ioctl+0x2f1/0x550
[   71.846759]  [<ffffffff8128c989>] SyS_ioctl+0x79/0x90
[   71.846775]  [<ffffffff81884772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   71.846788] ---[ end trace 90f3d6534c52de3b ]---
[   71.846987] ------------[ cut here ]------------
[   71.847205] WARNING: CPU: 0 PID: 892 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   71.847215] Modules linked in: ... udl drm_kms_helper drm ...
[   71.847434] CPU: 0 PID: 892 Comm: Xorg Tainted: G        W       4.4.3-300.fc23.x86_64+debug #1
...
[   71.847502] Call Trace:
[   71.847519]  [<ffffffff8142ac93>] dump_stack+0x85/0xc2
[   71.847536]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   71.847549]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   71.847567]  [<ffffffffa0502bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   71.847632]  [<ffffffffa0249158>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   71.847686]  [<ffffffffa0238b22>] drm_ioctl+0x152/0x560 [drm]
[   71.847700]  [<ffffffff810e9647>] ? sched_clock_local+0x17/0x80
[   71.847756]  [<ffffffffa02490b0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   71.847775]  [<ffffffff8128c6b1>] do_vfs_ioctl+0x2f1/0x550
[   71.847789]  [<ffffffff8128c989>] SyS_ioctl+0x79/0x90
[   71.847804]  [<ffffffff81884772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   71.847817] ---[ end trace 90f3d6534c52de3c ]---

Comment 9 poma 2016-03-03 17:35:37 UTC
[   67.780260] ------------[ cut here ]------------
[   67.780841] WARNING: CPU: 2 PID: 872 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   67.781959] Modules linked in: ... udl drm_kms_helper drm ...
[   67.788166] CPU: 2 PID: 872 Comm: Xorg Not tainted 4.4.3-201.fc22.x86_64+debug #1
...
[   67.789041] Call Trace:
[   67.793664]  [<ffffffff8142ac93>] dump_stack+0x85/0xc2
[   67.793664]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   67.795398]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   67.796008]  [<ffffffffa04e6bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   67.796008]  [<ffffffffa023a158>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   67.796008]  [<ffffffffa0229b22>] drm_ioctl+0x152/0x560 [drm]
[   67.796008]  [<ffffffff810e9647>] ? sched_clock_local+0x17/0x80
[   67.796008]  [<ffffffffa023a0b0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   67.800410]  [<ffffffff8128c6b1>] do_vfs_ioctl+0x2f1/0x550
[   67.800672]  [<ffffffff8128c989>] SyS_ioctl+0x79/0x90
[   67.800672]  [<ffffffff81884772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   67.803562] ---[ end trace 96d1ca80b183321e ]---
[   73.134639] ------------[ cut here ]------------
[   73.134679] WARNING: CPU: 2 PID: 872 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   73.134691] Modules linked in: ... udl drm_kms_helper drm ...
[   73.135153] CPU: 2 PID: 872 Comm: Xorg Tainted: G        W       4.4.3-201.fc22.x86_64+debug #1
...
[   73.135308] Call Trace:
[   73.135332]  [<ffffffff8142ac93>] dump_stack+0x85/0xc2
[   73.135353]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   73.135369]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   73.135393]  [<ffffffffa04e6bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   73.135461]  [<ffffffffa023a158>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   73.135530]  [<ffffffffa0229b22>] drm_ioctl+0x152/0x560 [drm]
[   73.135561]  [<ffffffff810e9647>] ? sched_clock_local+0x17/0x80
[   73.135644]  [<ffffffffa023a0b0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   73.135685]  [<ffffffff8128c6b1>] do_vfs_ioctl+0x2f1/0x550
[   73.135723]  [<ffffffff8128c989>] SyS_ioctl+0x79/0x90
[   73.135757]  [<ffffffff81884772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   73.135775] ---[ end trace 96d1ca80b183321f ]---
[   73.135976] ------------[ cut here ]------------
[   73.136014] WARNING: CPU: 2 PID: 872 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   73.136110] Modules linked in: ... udl drm_kms_helper drm ...
[   73.136409] CPU: 2 PID: 872 Comm: Xorg Tainted: G        W       4.4.3-201.fc22.x86_64+debug #1
...
[   73.136511] Call Trace:
[   73.136532]  [<ffffffff8142ac93>] dump_stack+0x85/0xc2
[   73.136553]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   73.136579]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   73.136604]  [<ffffffffa04e6bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   73.136672]  [<ffffffffa023a158>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   73.136734]  [<ffffffffa0229b22>] drm_ioctl+0x152/0x560 [drm]
[   73.136752]  [<ffffffff810e9647>] ? sched_clock_local+0x17/0x80
[   73.136816]  [<ffffffffa023a0b0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   73.136842]  [<ffffffff8128c6b1>] do_vfs_ioctl+0x2f1/0x550
[   73.136860]  [<ffffffff8128c989>] SyS_ioctl+0x79/0x90
[   73.136876]  [<ffffffff81884772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   73.136888] ---[ end trace 96d1ca80b1833220 ]---

Comment 10 poma 2016-03-03 17:39:31 UTC
Mister Airlie, care to push this upstream, finally?
https://lists.freedesktop.org/archives/dri-devel/2016-January/097945.html

Comment 11 poma 2016-03-04 10:42:47 UTC
[   68.081977] ------------[ cut here ]------------
[   68.082677] WARNING: CPU: 1 PID: 905 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   68.084047] Modules linked in: ... udl drm_kms_helper drm ...
[   68.089911] CPU: 1 PID: 905 Comm: Xorg Not tainted 4.4.4-300.fc23.x86_64+debug #1
...
[   68.090026] Call Trace:
[   68.090026]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   68.090026]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   68.090026]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   68.090026]  [<ffffffffa04f4bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   68.090026]  [<ffffffffa01e32f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   68.090026]  [<ffffffffa01d2b22>] drm_ioctl+0x152/0x560 [drm]
[   68.090026]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   68.090026]  [<ffffffffa01e3250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   68.101180]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   68.101180]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   68.101180]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   68.103852] ---[ end trace f7ac47874fb52649 ]---
[   70.631488] ------------[ cut here ]------------
[   70.631525] WARNING: CPU: 1 PID: 905 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   70.631533] Modules linked in: ... udl drm_kms_helper drm ...
[   70.631718] CPU: 1 PID: 905 Comm: Xorg Tainted: G        W       4.4.4-300.fc23.x86_64+debug #1
...
[   70.631770] Call Trace:
[   70.631786]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   70.631800]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   70.631809]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   70.631822]  [<ffffffffa04f4bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   70.631874]  [<ffffffffa01e32f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   70.631916]  [<ffffffffa01d2b22>] drm_ioctl+0x152/0x560 [drm]
[   70.631927]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   70.631972]  [<ffffffffa01e3250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   70.631987]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   70.631997]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   70.632008]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   70.632186] ---[ end trace f7ac47874fb5264a ]---
[   70.632869] ------------[ cut here ]------------
[   70.632900] WARNING: CPU: 1 PID: 905 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   70.632910] Modules linked in: ... udl drm_kms_helper drm ...
[   70.633267] CPU: 1 PID: 905 Comm: Xorg Tainted: G        W       4.4.4-300.fc23.x86_64+debug #1
...
[   70.633357] Call Trace:
[   70.633379]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   70.633399]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   70.633415]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   70.633439]  [<ffffffffa04f4bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   70.633508]  [<ffffffffa01e32f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   70.633590]  [<ffffffffa01d2b22>] drm_ioctl+0x152/0x560 [drm]
[   70.633631]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   70.633727]  [<ffffffffa01e3250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   70.633768]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   70.633804]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   70.633842]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   70.633939] ---[ end trace f7ac47874fb5264b ]---

Comment 12 poma 2016-03-04 11:00:25 UTC
[   65.498661] ------------[ cut here ]------------
[   65.499271] WARNING: CPU: 1 PID: 926 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   65.500369] Modules linked in: ... udl drm_kms_helper drm ...
[   65.505759] CPU: 1 PID: 926 Comm: Xorg Not tainted 4.4.4-200.fc22.x86_64+debug #1
...
[   65.506040] Call Trace:
[   65.506040]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   65.506040]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   65.506040]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   65.506040]  [<ffffffffa04e3bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   65.506040]  [<ffffffffa01e42f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   65.506040]  [<ffffffffa01d3b22>] drm_ioctl+0x152/0x560 [drm]
[   65.506040]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   65.506040]  [<ffffffffa01e4250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   65.506040]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   65.506040]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   65.506040]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   65.518805] ---[ end trace bd96e9b9689267bf ]---
[   67.923180] ------------[ cut here ]------------
[   67.923220] WARNING: CPU: 3 PID: 926 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   67.923230] Modules linked in: ... udl drm_kms_helper drm ...
[   67.923558] CPU: 3 PID: 926 Comm: Xorg Tainted: G        W       4.4.4-200.fc22.x86_64+debug #1
...
[   67.923650] Call Trace:
[   67.923673]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   67.923694]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   67.923711]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   67.923732]  [<ffffffffa04e3bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   67.923807]  [<ffffffffa01e42f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   67.923870]  [<ffffffffa01d3b22>] drm_ioctl+0x152/0x560 [drm]
[   67.923889]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   67.923954]  [<ffffffffa01e4250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   67.923978]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   67.923996]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   67.924015]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   67.924188] ---[ end trace bd96e9b9689267c0 ]---
[   67.937357] ------------[ cut here ]------------
[   67.937396] WARNING: CPU: 1 PID: 926 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   67.937408] Modules linked in: ... udl drm_kms_helper drm ...
[   67.937726] CPU: 1 PID: 926 Comm: Xorg Tainted: G        W       4.4.4-200.fc22.x86_64+debug #1
...
[   67.937809] Call Trace:
[   67.937830]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   67.937851]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   67.937868]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   67.937893]  [<ffffffffa04e3bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   67.937964]  [<ffffffffa01e42f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   67.938024]  [<ffffffffa01d3b22>] drm_ioctl+0x152/0x560 [drm]
[   67.938033]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   67.938033]  [<ffffffffa01e4250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   67.938033]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   67.938033]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   67.938033]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   67.938315] ---[ end trace bd96e9b9689267c1 ]---

Comment 13 poma 2016-03-04 20:56:32 UTC
[   66.455266] ------------[ cut here ]------------
[   66.455952] WARNING: CPU: 1 PID: 927 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   66.457120] Modules linked in: ... udl drm_kms_helper drm ...
[   66.463316] CPU: 1 PID: 927 Comm: Xorg Not tainted 4.4.4-301.fc23.x86_64+debug #1
...
[   66.464282] Call Trace:
[   66.464282]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   66.464282]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   66.464282]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   66.464282]  [<ffffffffa04e5bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   66.464282]  [<ffffffffa023d2f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   66.464282]  [<ffffffffa022cb22>] drm_ioctl+0x152/0x560 [drm]
[   66.464282]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   66.464282]  [<ffffffffa023d250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   66.464282]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   66.464282]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   66.464282]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   66.478930] ---[ end trace 5b19862323c3eb3c ]---
[   70.340507] ------------[ cut here ]------------
[   70.340542] WARNING: CPU: 1 PID: 927 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   70.340550] Modules linked in: ... udl drm_kms_helper drm ...
[   70.340773] CPU: 1 PID: 927 Comm: Xorg Tainted: G        W       4.4.4-301.fc23.x86_64+debug #1
...
[   70.340867] Call Trace:
[   70.340888]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   70.340908]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   70.340924]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   70.340946]  [<ffffffffa04e5bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   70.341014]  [<ffffffffa023d2f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   70.341042]  [<ffffffffa022cb22>] drm_ioctl+0x152/0x560 [drm]
[   70.341042]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   70.341042]  [<ffffffffa023d250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   70.341042]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   70.341042]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   70.341042]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   70.341433] ---[ end trace 5b19862323c3eb3d ]---
[   70.341623] ------------[ cut here ]------------
[   70.341649] WARNING: CPU: 1 PID: 927 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   70.341658] Modules linked in: ... udl drm_kms_helper drm ...
[   70.341978] CPU: 1 PID: 927 Comm: Xorg Tainted: G        W       4.4.4-301.fc23.x86_64+debug #1
...
[   70.342086] Call Trace:
[   70.342108]  [<ffffffff8142b1d3>] dump_stack+0x85/0xc2
[   70.342140]  [<ffffffff810aef42>] warn_slowpath_common+0x82/0xc0
[   70.342164]  [<ffffffff810af08a>] warn_slowpath_null+0x1a/0x20
[   70.342192]  [<ffffffffa04e5bbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   70.342271]  [<ffffffffa023d2f8>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   70.342334]  [<ffffffffa022cb22>] drm_ioctl+0x152/0x560 [drm]
[   70.342353]  [<ffffffff810e9657>] ? sched_clock_local+0x17/0x80
[   70.342386]  [<ffffffffa023d250>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   70.342386]  [<ffffffff8128c8b1>] do_vfs_ioctl+0x2f1/0x550
[   70.342386]  [<ffffffff8128cb89>] SyS_ioctl+0x79/0x90
[   70.342386]  [<ffffffff81885772>] entry_SYSCALL_64_fastpath+0x12/0x76
[   70.342609] ---[ end trace 5b19862323c3eb3e ]---

Comment 14 poma 2016-03-04 21:02:40 UTC
Will this patch accompany next Fedora 23 and Fedora 22 kernel?

Comment 15 poma 2016-03-17 12:03:03 UTC
[   61.752677] ------------[ cut here ]------------
[   61.753400] WARNING: CPU: 2 PID: 881 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   61.754832] Modules linked in: ... udl drm_kms_helper drm ...
[   61.761375] CPU: 2 PID: 881 Comm: Xorg Not tainted 4.4.6-200.fc22.x86_64+debug #1
...
[   61.762336] Call Trace:
[   61.762336]  [<ffffffff8142e753>] dump_stack+0x85/0xc2
[   61.762336]  [<ffffffff810af0e2>] warn_slowpath_common+0x82/0xc0
[   61.762336]  [<ffffffff810af22a>] warn_slowpath_null+0x1a/0x20
[   61.762336]  [<ffffffffa04ecbbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   61.768776]  [<ffffffffa024f398>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   61.768776]  [<ffffffffa023eb22>] drm_ioctl+0x152/0x560 [drm]
[   61.768776]  [<ffffffff810e9cb7>] ? sched_clock_local+0x17/0x80
[   61.768776]  [<ffffffffa024f2f0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   61.768776]  [<ffffffff8128e3b1>] do_vfs_ioctl+0x2f1/0x550
[   61.768776]  [<ffffffff8128e689>] SyS_ioctl+0x79/0x90
[   61.768776]  [<ffffffff8188a632>] entry_SYSCALL_64_fastpath+0x12/0x76
[   61.769556] ---[ end trace d71c63ccca57c6f2 ]---
[   64.019863] ------------[ cut here ]------------
[   64.019898] WARNING: CPU: 3 PID: 881 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   64.019904] Modules linked in: ... udl drm_kms_helper drm ...
[   64.020219] CPU: 3 PID: 881 Comm: Xorg Tainted: G        W       4.4.6-200.fc22.x86_64+debug #1
...
[   64.020278] Call Trace:
[   64.020308]  [<ffffffff8142e753>] dump_stack+0x85/0xc2
[   64.020323]  [<ffffffff810af0e2>] warn_slowpath_common+0x82/0xc0
[   64.020333]  [<ffffffff810af22a>] warn_slowpath_null+0x1a/0x20
[   64.020347]  [<ffffffffa04ecbbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   64.020402]  [<ffffffffa024f398>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   64.020446]  [<ffffffffa023eb22>] drm_ioctl+0x152/0x560 [drm]
[   64.020458]  [<ffffffff810e9cb7>] ? sched_clock_local+0x17/0x80
[   64.020504]  [<ffffffffa024f2f0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   64.020520]  [<ffffffff8128e3b1>] do_vfs_ioctl+0x2f1/0x550
[   64.020531]  [<ffffffff8128e689>] SyS_ioctl+0x79/0x90
[   64.020542]  [<ffffffff8188a632>] entry_SYSCALL_64_fastpath+0x12/0x76
[   64.020551] ---[ end trace d71c63ccca57c6f3 ]---
[   64.020708] ------------[ cut here ]------------
[   64.020726] WARNING: CPU: 3 PID: 881 at include/drm/drm_gem.h:146 udl_dumb_create+0xdd/0xf0 [udl]()
[   64.020732] Modules linked in: ... udl drm_kms_helper drm ...
[   64.020895] CPU: 3 PID: 881 Comm: Xorg Tainted: G        W       4.4.6-200.fc22.x86_64+debug #1
...
[   64.020947] Call Trace:
[   64.020958]  [<ffffffff8142e753>] dump_stack+0x85/0xc2
[   64.020970]  [<ffffffff810af0e2>] warn_slowpath_common+0x82/0xc0
[   64.020992]  [<ffffffff810af22a>] warn_slowpath_null+0x1a/0x20
[   64.021005]  [<ffffffffa04ecbbd>] udl_dumb_create+0xdd/0xf0 [udl]
[   64.021045]  [<ffffffffa024f398>] drm_mode_create_dumb_ioctl+0xa8/0xc0 [drm]
[   64.021045]  [<ffffffffa023eb22>] drm_ioctl+0x152/0x560 [drm]
[   64.021045]  [<ffffffff810e9cb7>] ? sched_clock_local+0x17/0x80
[   64.021045]  [<ffffffffa024f2f0>] ? drm_mode_page_flip_ioctl+0x370/0x370 [drm]
[   64.021045]  [<ffffffff8128e3b1>] do_vfs_ioctl+0x2f1/0x550
[   64.021045]  [<ffffffff8128e689>] SyS_ioctl+0x79/0x90
[   64.021045]  [<ffffffff8188a632>] entry_SYSCALL_64_fastpath+0x12/0x76
[   64.021297] ---[ end trace d71c63ccca57c6f4 ]---

Comment 16 Fedora Update System 2016-03-31 15:57:54 UTC
kernel-4.4.6-301.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e602c0e5e

Comment 17 Fedora Update System 2016-03-31 16:01:46 UTC
kernel-4.4.6-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed5110c4bb

Comment 18 Fedora Update System 2016-04-01 01:55:19 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed5110c4bb

Comment 19 Fedora Update System 2016-04-01 15:22:40 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e602c0e5e

Comment 20 Fedora Update System 2016-04-08 15:51:19 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-04-08 20:19:17 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.